Index: src/mlx/gui/flightlist.py
===================================================================
--- src/mlx/gui/flightlist.py	(revision 995)
+++ src/mlx/gui/flightlist.py	(revision 996)
@@ -22,5 +22,5 @@
         self._convertFn = convertFn
         self._renderer = \
-          gtk.CellRendererText() if renderer is None else renderer
+          Gtk.CellRendererText() if renderer is None else renderer
         self._extraColumnAttributes = extraColumnAttributes
         self._sortable = sortable
@@ -47,12 +47,12 @@
 
         @param index is the 0-based index of the column."""
-        if isinstance(self._renderer, gtk.CellRendererText):
-            column = gtk.TreeViewColumn(self._heading, self._renderer,
+        if isinstance(self._renderer, Gtk.CellRendererText):
+            column = Gtk.TreeViewColumn(self._heading, self._renderer,
                                         text = index)
-        elif isinstance(self._renderer, gtk.CellRendererToggle):
-            column = gtk.TreeViewColumn(self._heading, self._renderer,
+        elif isinstance(self._renderer, Gtk.CellRendererToggle):
+            column = Gtk.TreeViewColumn(self._heading, self._renderer,
                                         active = index)
         else:
-            column = gtk.TreeViewColumn(self._heading, self._renderer)
+            column = Gtk.TreeViewColumn(self._heading, self._renderer)
         column.set_expand(True)
         if self._sortable:
@@ -83,5 +83,5 @@
 #-----------------------------------------------------------------------------
 
-class FlightList(gtk.Alignment):
+class FlightList(Gtk.Alignment):
     """Construct the flight list.
 
@@ -114,5 +114,5 @@
             columnDescriptor.appendType(types)
 
-        self._model = gtk.ListStore(*types)
+        self._model = Gtk.ListStore(*types)
         if defaultSortableIndex is not None:
             sortOrder = SORT_DESCENDING \
@@ -120,7 +120,7 @@
               else SORT_ASCENDING
             self._model.set_sort_column_id(defaultSortableIndex, sortOrder)
-        self._view = gtk.TreeView(self._model)
-
-        flightIndexColumn = gtk.TreeViewColumn()
+        self._view = Gtk.TreeView(self._model)
+
+        flightIndexColumn = Gtk.TreeViewColumn()
         flightIndexColumn.set_visible(False)
         self._view.append_column(flightIndexColumn)
@@ -140,12 +140,12 @@
             selection.set_mode(SELECTION_MULTIPLE)
 
-        scrolledWindow = gtk.ScrolledWindow()
+        scrolledWindow = Gtk.ScrolledWindow()
         scrolledWindow.add(self._view)
         if widthRequest is not None:
             scrolledWindow.set_size_request(widthRequest, -1)
         # FIXME: these should be constants in common.py
-        scrolledWindow.set_policy(gtk.PolicyType.AUTOMATIC,
-                                  gtk.PolicyType.AUTOMATIC)
-        scrolledWindow.set_shadow_type(gtk.ShadowType.IN)
+        scrolledWindow.set_policy(Gtk.PolicyType.AUTOMATIC,
+                                  Gtk.PolicyType.AUTOMATIC)
+        scrolledWindow.set_shadow_type(Gtk.ShadowType.IN)
 
         super(FlightList, self).__init__(xalign = 0.5, yalign = 0.0,
@@ -235,5 +235,5 @@
 #-----------------------------------------------------------------------------
 
-class PendingFlightsFrame(gtk.Frame):
+class PendingFlightsFrame(Gtk.Frame):
     """A frame for a list of pending (reported or rejected) flights.
 
@@ -273,9 +273,9 @@
         self._pirepEditable = pirepEditable
 
-        alignment = gtk.Alignment(xscale = 1.0, yscale = 1.0)
+        alignment = Gtk.Alignment(xscale = 1.0, yscale = 1.0)
         alignment.set_padding(padding_top = 2, padding_bottom = 8,
                               padding_left = 4, padding_right = 4)
 
-        hbox = gtk.HBox()
+        hbox = Gtk.HBox()
 
         self._flights = []
@@ -289,7 +289,7 @@
         hbox.pack_start(self._flightList, True, True, 4)
 
-        buttonBox = gtk.VBox()
-
-        self._editButton = gtk.Button(xstr("pendflt_" +
+        buttonBox = Gtk.VBox()
+
+        self._editButton = Gtk.Button(xstr("pendflt_" +
                                            ("edit" if pirepEditable else
                                             "view") + "_" + which))
@@ -299,5 +299,5 @@
         buttonBox.pack_start(self._editButton, False, False, 2)
 
-        self._reflyButton = gtk.Button(xstr("pendflt_refly_" + which))
+        self._reflyButton = Gtk.Button(xstr("pendflt_refly_" + which))
         self._reflyButton.set_sensitive(False)
         self._reflyButton.set_use_underline(True)
@@ -305,5 +305,5 @@
         buttonBox.pack_start(self._reflyButton, False, False, 2)
 
-        self._deleteButton = gtk.Button(xstr("pendflt_delete_" + which))
+        self._deleteButton = Gtk.Button(xstr("pendflt_delete_" + which))
         self._deleteButton.set_sensitive(False)
         self._deleteButton.set_use_underline(True)
@@ -458,7 +458,7 @@
     def _producePopupMenu(self):
         """Create the popup menu for the flights."""
-        menu = gtk.Menu()
-
-        menuItem = gtk.MenuItem()
+        menu = Gtk.Menu()
+
+        menuItem = Gtk.MenuItem()
         menuItem.set_label(xstr("pendflt_" +
                                 ("edit" if self._pirepEditable else "view") +
@@ -470,5 +470,5 @@
         menu.append(menuItem)
 
-        menuItem = gtk.MenuItem()
+        menuItem = Gtk.MenuItem()
         menuItem.set_label(xstr("pendflt_refly_" + self._which))
         menuItem.set_use_underline(True)
@@ -478,5 +478,5 @@
         menu.append(menuItem)
 
-        menuItem = gtk.MenuItem()
+        menuItem = Gtk.MenuItem()
         menuItem.set_label(xstr("pendflt_delete_" + self._which))
         menuItem.set_use_underline(True)
@@ -503,5 +503,5 @@
 #-----------------------------------------------------------------------------
 
-class PendingFlightsWindow(gtk.Window):
+class PendingFlightsWindow(Gtk.Window):
     """The window to display the lists of the pending (reported or rejected)
     flights."""
@@ -517,10 +517,10 @@
         self.set_modal(True)
 
-        mainAlignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        mainAlignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                       xscale = 1.0, yscale = 1.0)
         mainAlignment.set_padding(padding_top = 0, padding_bottom = 12,
                                   padding_left = 8, padding_right = 8)
 
-        vbox = gtk.VBox()
+        vbox = Gtk.VBox()
 
         self._reportedFrame = PendingFlightsFrame("reported", wizard, self,
@@ -531,7 +531,7 @@
         vbox.pack_start(self._rejectedFrame, True, True, 2)
 
-        alignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        alignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                   xscale = 0.0, yscale = 0.0)
-        self._closeButton = gtk.Button(xstr("button_ok"))
+        self._closeButton = Gtk.Button(xstr("button_ok"))
         self._closeButton.connect("clicked", self._closeClicked)
         self._closeButton.set_use_underline(True)
@@ -586,5 +586,5 @@
 #-----------------------------------------------------------------------------
 
-class AcceptedFlightsWindow(gtk.Window):
+class AcceptedFlightsWindow(Gtk.Window):
     """A window for a list of accepted flights."""
     def getFlightDuration(flightTimeStart, flight):
@@ -638,11 +638,11 @@
         self.set_transient_for(gui.mainWindow)
 
-        alignment = gtk.Alignment(xscale = 1.0, yscale = 1.0)
+        alignment = Gtk.Alignment(xscale = 1.0, yscale = 1.0)
         alignment.set_padding(padding_top = 2, padding_bottom = 8,
                               padding_left = 4, padding_right = 4)
 
-        vbox = gtk.VBox()
-
-        hbox = gtk.HBox()
+        vbox = Gtk.VBox()
+
+        hbox = Gtk.HBox()
         vbox.pack_start(hbox, True, True, 4)
 
@@ -657,7 +657,7 @@
         hbox.pack_start(self._flightList, True, True, 4)
 
-        buttonBox = gtk.VBox()
-
-        self._refreshButton = gtk.Button(xstr("acceptedflt_refresh"))
+        buttonBox = Gtk.VBox()
+
+        self._refreshButton = Gtk.Button(xstr("acceptedflt_refresh"))
         self._refreshButton.set_sensitive(True)
         self._refreshButton.set_use_underline(True)
@@ -665,10 +665,10 @@
         buttonBox.pack_start(self._refreshButton, False, False, 2)
 
-        filler = gtk.Alignment(xalign = 0.0, yalign = 0.0,
+        filler = Gtk.Alignment(xalign = 0.0, yalign = 0.0,
                                xscale = 1.0, yscale = 1.0)
         filler.set_size_request(-1, 4)
         buttonBox.pack_start(filler, False, False, 0)
 
-        self._viewButton = gtk.Button(xstr("acceptedflt_view"))
+        self._viewButton = Gtk.Button(xstr("acceptedflt_view"))
         self._viewButton.set_sensitive(False)
         self._viewButton.set_use_underline(True)
@@ -678,8 +678,8 @@
         hbox.pack_start(buttonBox, False, False, 4)
 
-        buttonAlignment = gtk.Alignment(xscale = 0.0, yscale = 0.0,
+        buttonAlignment = Gtk.Alignment(xscale = 0.0, yscale = 0.0,
                                         xalign = 0.5, yalign = 0.5)
 
-        self._closeButton =  gtk.Button(xstr("button_ok"))
+        self._closeButton =  Gtk.Button(xstr("button_ok"))
         self._closeButton.connect("clicked", self._closeClicked)
         self._closeButton.set_use_underline(True)
